#---------------------------------------------------------------
# deploie.s    Deploie / Copie avec backup
#--------------------------------------------------------------
# ---> Verification de l'usage : 
if [ $# != 2 ]
then                                                                      
  echo
  echo " usage : $0 repertoire-devel liste-fichiers" 
  echo "       la liste doit contenir repertoire/fichier de dest."
  echo "       Utiliser make-lst... "
  echo
  exit 1                                                                 
else                                                                      
  REPDEVEL="$1"
  LISTEFIC="$2"
fi
REPIMPORT=$REPDEVEL/import-`date "+%y%m%d-%Hh%Mm%S"`
REPEXPORT=$REPDEVEL/export-`date "+%y%m%d-%Hh%Mm%S"`
mkdir $REPIMPORT
mkdir $REPEXPORT

FICHLOG=$REPDEVEL/deploie-`date "+%y%m%d-%Hh%Mm%S"` 
FICHERR=$REPDEVEL/erreurs-`date "+%y%m%d-%Hh%Mm%S"` 
> $FICHERR 
> $FICHLOG
#------------------------------ Partie 1 : Import
for i in `cat $LISTEFIC`
do                                                                             
  FICHIER=`basename "$i"`            
  REPCOMMUN=`dirname "$i"`           
  # echo  "$i = $REPCOMMUN + $FICHIER" 
  if test -f $REPDEVEL/$FICHIER
  then 
    if test -f $REPCOMMUN/$FICHIER
       then echo "Import de : $FICHIER" 
            cp $REPCOMMUN/$FICHIER $REPIMPORT 
            echo "Fichier : $i " >> $FICHLOG 
    fi
    echo "Export de : $FICHIER"
    cp $REPDEVEL/$FICHIER $REPCOMMUN     
    mv $REPDEVEL/$FICHIER $REPEXPORT/$FICHIER   
  else
    echo "Fichier $REPDEVEL/$FICHIER  non trouve ! " >> $FICHERR 
  fi
done
